Package org.apache.lucene.queries.function

# Class FunctionQuery.AllScorer

java.lang.Object
org.apache.lucene.search.Scorable
org.apache.lucene.search.Scorer
org.apache.lucene.queries.function.FunctionQuery.AllScorer

Enclosing class:
  `FunctionQuery`

protected class FunctionQuery.AllScorer extends Scorer
Scores all documents, applying the function to each document

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.search.Scorable

`Scorable.ChildScorable`

## Constructor Summary

Constructors
Constructor
Description
`AllScorer(LeafReaderContext context, FunctionQuery.FunctionWeight w, float boost)`

## Method Summary

Modifier and Type
Method
Description
`int`
`docID()`
`Explanation`
`explain(int doc)`
`float`
`getMaxScore(int upTo)`
`DocIdSetIterator`
`iterator()`
`float`
`score()`

### Methods inherited from class org.apache.lucene.search.Scorer

`advanceShallow, twoPhaseIterator`

### Methods inherited from class org.apache.lucene.search.Scorable

`getChildren, setMinCompetitiveScore, smoothingScore`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AllScorer

public AllScorer(LeafReaderContext context, FunctionQuery.FunctionWeight w, float boost) throws IOException

Throws:
  `IOException`

## Method Details

### iterator

public DocIdSetIterator iterator()

Specified by:
  `iterator` in class `Scorer`

### docID

public int docID()

Specified by:
  `docID` in class `Scorer`

### score

public float score() throws IOException

Specified by:
  `score` in class `Scorable`
Throws:
  `IOException`

### getMaxScore

public float getMaxScore(int upTo) throws IOException

Specified by:
  `getMaxScore` in class `Scorer`
Throws:
  `IOException`

### explain

public Explanation explain(int doc) throws IOException

Throws:
  `IOException`